Subject: Unicode mapping table, Big-5 confusion, etc.

From: Stephen G Simpson <[email-masked]>
Date: Tue, 10 Nov 1992 22:49:59 -0500

Earlier today Ross Paterson ([email-masked]) posted some
information about the Unicode mapping table cjkxref.fix available for
ftp on unicode.org.  Thanks, Ross!  Prompted by this, I ran downstairs
to look at the Unicode books, which are available in the reference
section of our Mathematics / Computer Science library.  The library
reference is:

> The Unicode standard, worldwide character encoding. / Unicode Consortium.
>   Version 1.0. Reading, Mass., Addison-Wesley Pub. Co., Inc., 1991-1992.
>     2 v. ill. 28 cm.
>     "Volume 1 covers Latin, Cyrillic, Greek, Hebrew, and Arabic alphabets,
>   and other alphabets used in countries across Europe, Africa, and the Indian
>   subcontinent. Volume 2 is devoted to unified character codes for Chinese,
>   Japanese, and Korean ideographs"--P. [4] of cover.
>     Includes bibliographical references and indexes.
>     1. Character sets (Data processing) -- Standards. 2. Coding theory.
>  Call#: QA76.76.C53U6 1991
>     Mathematics Library - Reference, 109 McAllister, v.1-v.2

The file cjkxref.fix is apparently supposed to contain essentially the
same information as pages 169-385 of Volume 2.  It is a table listing
the Unicode Chinese characters in Unicode order, followed by the
corresponding codes in other standard coding systems such as GB, Big
Five, CNS 11643, etc.  Each line in the table has 10 fields.  Fields 1
through 6 are as described by Ross:

1. Unicode (4 hex digits)
2. GB (row/column)
3. Big-5 (4 hex digits)
4. CNS 11643 (4 hex digits)
5. JIS (row/column)
6. KSC (row/column)
     details of KSC: entry is S-rrcc where rr is the row, cc is the column,
     and S = 0 indicates KCS 5601-1987, S = 1 indicates KCS 5657-1991.

Some other fields described are:

 IBM Selected Kanji Set (hex)

 JEF (hex)

 ANSI Z39.64-1989 (hex)

 Xerox Character Set (two octal codes separated by a colon).

The Xerox codes are in field 9 but I am not sure which field the ANSI
and JEF codes are in.

I know it is a topic that has been discussed here before, but I am
still confused about the mapping between Big-5, CNS 11643, and ET
codes.  I know the mapping is for the most part rather simple, and I
thought I understood it, but cjkxref.fix and some remarks in the
Unicode book convinced me that I don't understand it after all.  Could
somebody please explain this again, in light of cjkxref.fix?

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20@PSUVM
FAX: +1 814 865-3735